/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#include <QMessageBox>
#include "AboutDESpotDlg.h"

namespace DESpot
{

AboutDESpotDlg::AboutDESpotDlg(QWidget* parent /*= null*/) : QDialog(parent)
{
	setupUi(this);

	connect(m_btnAboutQt, SIGNAL(clicked()), this,SLOT(onAboutQt()));
}

//_________________________________________________________________________________________________

AboutDESpotDlg::~AboutDESpotDlg(void)
{
}

//_________________________________________________________________________________________________

void AboutDESpotDlg::onAboutQt()
{
	QMessageBox::aboutQt(this, STR_DESPOT);
}

} //end of namespace DESpot
